Chromium Code Reviews
Help | Chromium Project | Sign in
(11)

Issue 2689213008: Make Safe Browsing Subresource Filter tests truly end-to-end. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 2 weeks ago by engedy
Modified:
2 months, 1 week ago
CC:
chromium-reviews, grt+watch_chromium.org, Nathan Parker (ooo till May 1), mattm
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Make Safe Browsing Subresource Filter tests truly end-to-end. As part of deprecating ContentSubresourceFilterDriver, remove a usage in SafeBrowsingServiceTest, where a mock version of the driver is used to check whether the subresource filtering activation IPC message is sent after the user clicks through an interstitial. Instead, use this opportunity to make this a truly end-to-end test, which checks activation by probing whether an artificially disallowed resource indeed fails to load. Also extend the test with verification that filtering is again activated when the page is navigated to a second time when the interstitial is not shown again. BUG=637415 Review-Url: https://codereview.chromium.org/2689213008 Cr-Commit-Position: refs/heads/master@{#451350} Committed: https://chromium.googlesource.com/chromium/src/+/7031169283c2d08e5b88f20ad1a64ef09aaf4df4

Patch Set 1 #

Total comments: 2

Patch Set 2 : Remove leftover include. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+105 lines, -147 lines) Patch
M chrome/browser/safe_browsing/safe_browsing_service_browsertest.cc View 1 10 chunks +105 lines, -147 lines 0 comments Download
Trybot results:  win_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   win_chromium_rel_ng   android_cronet   android_arm64_dbg_recipe   linux_chromium_tsan_rel_ng   mac_chromium_rel_ng   android_clang_dbg_recipe   linux_chromium_compile_dbg_ng   ios-simulator-xcode-clang   linux_android_rel_ng   chromium_presubmit   cast_shell_linux   linux_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   android_n5x_swarming_rel   ios-device   win_chromium_rel_ng   ios-device-xcode-clang   win_chromium_compile_dbg_ng   android_compile_dbg   win_clang   cast_shell_android   linux_chromium_chromeos_rel_ng   ios-simulator   chromeos_daisy_chromium_compile_only_ng   win_chromium_x64_rel_ng   mac_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   linux_android_rel_ng   win_chromium_compile_dbg_ng   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux 
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 29 (17 generated)
engedy
@Nathan, @Charlie, please take a look. Context: I am deprecating ContentSubresourceFilterDriver, and I thought I ...
2 months, 1 week ago (2017-02-15 18:40:27 UTC) #3
Charlie (ooo-ish until may 2)
https://codereview.chromium.org/2689213008/diff/1/chrome/browser/safe_browsing/safe_browsing_service_browsertest.cc File chrome/browser/safe_browsing/safe_browsing_service_browsertest.cc (right): https://codereview.chromium.org/2689213008/diff/1/chrome/browser/safe_browsing/safe_browsing_service_browsertest.cc#newcode964 chrome/browser/safe_browsing/safe_browsing_service_browsertest.cc:964: // subresource filtering should still be activated. The fact ...
2 months, 1 week ago (2017-02-15 18:51:21 UTC) #6
engedy
https://codereview.chromium.org/2689213008/diff/1/chrome/browser/safe_browsing/safe_browsing_service_browsertest.cc File chrome/browser/safe_browsing/safe_browsing_service_browsertest.cc (right): https://codereview.chromium.org/2689213008/diff/1/chrome/browser/safe_browsing/safe_browsing_service_browsertest.cc#newcode964 chrome/browser/safe_browsing/safe_browsing_service_browsertest.cc:964: // subresource filtering should still be activated. On 2017/02/15 ...
2 months, 1 week ago (2017-02-15 18:55:26 UTC) #7
Charlie (ooo-ish until may 2)
Oops you are right. This CL LGTM as-is.
2 months, 1 week ago (2017-02-15 18:57:26 UTC) #8
engedy
Load balancing reviews. @Matt, would you have time to review this from the Safe Browsing ...
2 months, 1 week ago (2017-02-15 19:19:25 UTC) #13
Nathan Parker (ooo till May 1)
Swapping in jiaiul for mattm, since Matt is probably not interested in these any more ...
2 months, 1 week ago (2017-02-16 02:51:04 UTC) #17
engedy
On 2017/02/16 02:51:04, Nathan Parker wrote: > Swapping in jiaiul for mattm, since Matt is ...
2 months, 1 week ago (2017-02-17 09:43:27 UTC) #18
Jialiu Lin
lgtm Thanks!
2 months, 1 week ago (2017-02-17 17:31:49 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2689213008/20001
2 months, 1 week ago (2017-02-17 17:33:08 UTC) #22
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/324365) linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
2 months, 1 week ago (2017-02-17 18:14:40 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2689213008/20001
2 months, 1 week ago (2017-02-17 18:19:47 UTC) #26
commit-bot: I haz the power
2 months, 1 week ago (2017-02-17 19:18:05 UTC) #29
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/7031169283c2d08e5b88f20ad1a6...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46